export declare const theme: {
    colors: {
        content: {
            accent: string;
            base: string;
            subtle: string;
            weak: string;
            baseInverse: string;
            subtleInverse: string;
            weakInverse: string;
            danger: string;
            warning: string;
            success: string;
        };
        contentState: {
            accent: {
                hover: string;
                active: string;
                disable: string;
            };
            base: {
                hover: string;
                active: string;
                disable: string;
            };
            subtle: {
                hover: string;
                active: string;
                disable: string;
            };
            weak: {
                hover: string;
                active: string;
                disable: string;
            };
            baseInverse: {
                hover: string;
                active: string;
                disable: string;
            };
            subtleInverse: {
                hover: string;
                active: string;
                disable: string;
            };
            weakInverse: {
                hover: string;
                active: string;
                disable: string;
            };
            danger: {
                hover: string;
                active: string;
                disable: string;
            };
            warning: {
                hover: string;
                active: string;
                disable: string;
            };
            success: {
                hover: string;
                active: string;
                disable: string;
            };
        };
        background: {
            accent: string;
            accentLight: string;
            base: string;
            subtle: string;
            weak: string;
            dark: string;
            darkLight: string;
            transaction: string;
            danger: string;
            dangerLight: string;
            warning: string;
            warningLight: string;
            success: string;
            successLight: string;
        };
        backgroundState: {
            accent: {
                hover: string;
                active: string;
                disable: string;
            };
            accentLight: {
                hover: string;
                active: string;
                disable: string;
            };
            base: {
                hover: string;
                active: string;
                disable: string;
            };
            dark: {
                hover: string;
                active: string;
                disable: string;
            };
            darkLight: {
                hover: string;
                active: string;
                disable: string;
            };
            darkLightCopy: {
                hover: string;
                active: string;
                disable: string;
            };
            transaction: {
                hover: string;
                active: string;
                disable: string;
            };
        };
        border: {
            base: string;
            subtle: string;
            weak: string;
            dark: string;
            darkLight: string;
            accent: string;
            focus: string;
            danger: string;
            amber: string;
            success: string;
        };
        borderState: {
            dark: {
                hover: string;
                active: string;
                disable: string;
            };
            darkLight: {
                hover: string;
                active: string;
                disable: string;
            };
            accent: {
                hover: string;
                active: string;
                disable: string;
            };
            focus: {
                hover: string;
                active: string;
                disable: string;
            };
            danger: {
                hover: string;
                active: string;
                disable: string;
            };
            warning: {
                hover: string;
                active: string;
                disable: string;
            };
            success: {
                hover: string;
                active: string;
                disable: string;
            };
        };
    };
    effects: {
        shadow: {
            lvl0: {
                color: string;
                x: string;
                y: string;
                blur: string;
                spread: string;
            };
            lvl1: {
                0: {
                    color: string;
                    x: string;
                    y: string;
                    blur: string;
                    spread: string;
                };
                1: {
                    color: string;
                    x: string;
                    y: string;
                    blur: string;
                    spread: string;
                };
            };
            lvl2: {
                0: {
                    color: string;
                    x: string;
                    y: string;
                    blur: string;
                    spread: string;
                };
                1: {
                    color: string;
                    x: string;
                    y: string;
                    blur: string;
                    spread: string;
                };
            };
            lvl3: {
                0: {
                    color: string;
                    x: string;
                    y: string;
                    blur: string;
                    spread: string;
                };
                1: {
                    color: string;
                    x: string;
                    y: string;
                    blur: string;
                    spread: string;
                };
            };
            lvl4: {
                0: {
                    color: string;
                    x: string;
                    y: string;
                    blur: string;
                    spread: string;
                };
                1: {
                    color: string;
                    x: string;
                    y: string;
                    blur: string;
                    spread: string;
                };
            };
            lvl5: {
                0: {
                    color: string;
                    x: string;
                    y: string;
                    blur: string;
                    spread: string;
                };
                1: {
                    color: string;
                    x: string;
                    y: string;
                    blur: string;
                    spread: string;
                };
            };
        };
    };
    spacing: {
        borderRadius: {
            none: string;
            tiny: string;
            small: string;
            medium: string;
            elipse: string;
        };
    };
    typography: {
        desktop: {
            headings: {
                h1: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                h1Light: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                h2: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                h3: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                h4: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
            };
            body: {
                primary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                secondary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                tertiary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
            };
            label: {
                primary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                secondary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                tertiary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
            };
            input: {
                primary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                secondary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
            };
            button: {
                primary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                secondary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                tertiary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
            };
        };
        mobile: {
            headings: {
                h1: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                h1Light: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                h2: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                h3: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                h4: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
            };
            body: {
                primary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                secondary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                tertiary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
            };
            label: {
                primary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                secondary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                tertiary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
            };
            input: {
                primary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                secondary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
            };
            button: {
                primary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                secondary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                tertiary: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
            };
        };
    };
    components: {
        button: {
            transaction: {
                container: {
                    color: {
                        default: string;
                        hover: string;
                        active: string;
                        disable: string;
                    };
                    border: {
                        default: string;
                        hover: string;
                        active: string;
                        disable: string;
                    };
                };
                text: {
                    color: {
                        default: string;
                        hover: string;
                        active: string;
                        disabel: string;
                    };
                };
                icon: {
                    color: {
                        default: string;
                        hover: string;
                        active: string;
                        disabel: string;
                    };
                };
            };
            sm: {
                generic: {
                    paddingHorizontal: string;
                    paddingVertical: string;
                    gap: string;
                    textLabel: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    borderRadius: string;
                };
                icon: {
                    size: string;
                };
                ghost: {
                    paddingHorizontal: string;
                    paddingVertical: string;
                    gap: string;
                    textLabel: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    borderRadius: string;
                };
            };
            md: {
                generic: {
                    paddingHorizontal: string;
                    paddingVertical: string;
                    gap: string;
                    borderRadius: string;
                    textLabel: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                };
                icon: {
                    size: string;
                };
                ghost: {
                    paddingHorizontal: string;
                    paddingVertical: string;
                    gap: string;
                    textLabel: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    borderRadius: string;
                };
            };
            lg: {
                generic: {
                    paddingHorizontal: string;
                    paddingVertical: string;
                    gap: string;
                    borderRadius: string;
                    textLabel: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                };
                icon: {
                    size: string;
                };
                ghost: {
                    paddingHorizontal: string;
                    paddingVertical: string;
                    gap: string;
                    textLabel: {
                        fontFamily: string;
                        fontWeight: string;
                        lineHeight: string;
                        fontSize: string;
                        letterSpacing: string;
                        paragraphSpacing: string;
                        textDecoration: string;
                        textCase: string;
                    };
                    borderRadius: string;
                };
            };
            brand: {
                container: {
                    color: {
                        default: string;
                        hover: string;
                        active: string;
                        disable: string;
                    };
                    border: {
                        default: string;
                        hover: string;
                        active: string;
                        disable: string;
                    };
                };
                text: {
                    color: {
                        default: string;
                        hover: string;
                        active: string;
                        disabel: string;
                    };
                };
                icon: {
                    color: {
                        default: string;
                        hover: string;
                        active: string;
                        disabel: string;
                    };
                };
            };
            alternative: {
                container: {
                    color: {
                        default: string;
                        hover: string;
                        active: string;
                        disable: string;
                    };
                    border: {
                        default: string;
                        hover: string;
                        active: string;
                        disable: string;
                    };
                };
                text: {
                    color: {
                        default: string;
                        hover: string;
                        active: string;
                        disabel: string;
                    };
                };
                icon: {
                    color: {
                        default: string;
                        hover: string;
                        active: string;
                        disabel: string;
                    };
                };
            };
            outline: {
                container: {
                    color: {
                        default: string;
                        hover: string;
                        active: string;
                        disable: string;
                    };
                    border: {
                        default: string;
                        hover: string;
                        active: string;
                        disable: string;
                    };
                };
                text: {
                    color: {
                        default: string;
                        hover: string;
                        active: string;
                        disabel: string;
                    };
                };
                icon: {
                    color: {
                        default: string;
                        hover: string;
                        active: string;
                        disabel: string;
                    };
                };
            };
            ghost: {
                container: {
                    color: {
                        default: string;
                        hover: string;
                        active: string;
                        disable: string;
                    };
                    border: {
                        default: string;
                        hover: string;
                        active: string;
                        disable: string;
                    };
                };
                text: {
                    color: {
                        default: string;
                        hover: string;
                        active: string;
                        disabel: string;
                    };
                };
                icon: {
                    color: {
                        default: string;
                        hover: string;
                        active: string;
                        disabel: string;
                    };
                };
            };
        };
        input: {
            icon: {
                size: string;
            };
            paddingHorizontal: string;
            paddingVertical: string;
            gap: string;
            contentGap: string;
            requiredGap: string;
            borderRadius: string;
            fieldLabel: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            required: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            inputPlaceholder: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            error: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            grey: {
                container: {
                    color: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                    border: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                };
                text: {
                    color: {
                        fieldLabel: {
                            default: string;
                            filled: string;
                            focus: string;
                            error: string;
                            errorFilled: string;
                            disable: string;
                        };
                        inputPlaceholder: {
                            default: string;
                            filled: string;
                            focus: string;
                            error: string;
                            errorFilled: string;
                            disable: string;
                        };
                        required: {
                            default: string;
                            filled: string;
                            focus: string;
                            error: string;
                            errorFilled: string;
                            disable: string;
                        };
                        errorMessage: {
                            error: string;
                            errorFilled: string;
                        };
                    };
                };
                icon: {
                    color: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                };
            };
            border: {
                container: {
                    color: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                    border: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                };
                text: {
                    color: {
                        fieldLabel: {
                            default: string;
                            filled: string;
                            focus: string;
                            error: string;
                            errorFilled: string;
                            disable: string;
                        };
                        inputPlaceholder: {
                            default: string;
                            filled: string;
                            focus: string;
                            error: string;
                            errorFilled: string;
                            disable: string;
                        };
                        required: {
                            default: string;
                            filled: string;
                            focus: string;
                            error: string;
                            errorFilled: string;
                            disable: string;
                        };
                        errorMessage: {
                            error: string;
                            errorFilled: string;
                        };
                    };
                };
                icon: {
                    color: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                };
            };
        };
        dropdown: {
            icon: {
                size: string;
            };
            paddingHorizontal: string;
            paddingVertical: string;
            gap: string;
            contentGap: string;
            requiredGap: string;
            grey: {
                container: {
                    color: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                    border: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                };
                text: {
                    color: {
                        fieldLabel: {
                            default: string;
                            filled: string;
                            focus: string;
                            error: string;
                            errorFilled: string;
                            disable: string;
                        };
                        inputPlaceholder: {
                            default: string;
                            filled: string;
                            focus: string;
                            error: string;
                            errorFilled: string;
                            disable: string;
                        };
                        required: {
                            default: string;
                            filled: string;
                            focus: string;
                            error: string;
                            errorFilled: string;
                            disable: string;
                        };
                        errorMessage: {
                            error: string;
                            errorFilled: string;
                        };
                    };
                };
                icon: {
                    color: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                };
            };
            border: {
                container: {
                    color: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                    border: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                };
                text: {
                    color: {
                        fieldLabel: {
                            default: string;
                            filled: string;
                            focus: string;
                            error: string;
                            errorFilled: string;
                            disable: string;
                        };
                        inputPlaceholder: {
                            default: string;
                            filled: string;
                            focus: string;
                            error: string;
                            errorFilled: string;
                            disable: string;
                        };
                        required: {
                            default: string;
                            filled: string;
                            focus: string;
                            error: string;
                            errorFilled: string;
                            disable: string;
                        };
                        errorMessage: {
                            error: string;
                            errorFilled: string;
                        };
                    };
                };
                icon: {
                    color: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                };
            };
            borderRadius: string;
            fieldLabel: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            error: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            inputPlaceholder: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            required: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
        };
        select: {
            paddingHorizontal: string;
            paddingVertical: string;
            container: {
                color: {
                    default: string;
                    hover: string;
                    active: string;
                    header: string;
                    disable: string;
                };
            };
            text: {
                color: {
                    default: string;
                    hover: string;
                    active: string;
                    header: string;
                    disable: string;
                };
            };
            gap: string;
            borderRadius: string;
            fieldLabel: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
        };
        radioButton: {
            gap: string;
            circle: {
                color: {
                    default: string;
                    hover: string;
                    selected: string;
                    focus: string;
                    error: string;
                    disableSelected: string;
                    disable: string;
                };
            };
            innerCircle: {
                color: {
                    default: string;
                    hover: string;
                    selected: string;
                    focus: string;
                    error: string;
                    disableSelected: string;
                    disable: string;
                };
            };
            focus: {
                color: {
                    default: string;
                    hover: string;
                    selected: string;
                    focus: string;
                    error: string;
                    selectedDisable: string;
                    disable: string;
                };
            };
            text: {
                color: {
                    textLabel: {
                        default: string;
                        hover: string;
                        selected: string;
                        focus: string;
                        error: string;
                        disableSelected: string;
                        disable: string;
                    };
                    errorLabel: {
                        default: string;
                        hover: string;
                        selected: string;
                        focus: string;
                        error: string;
                        disableSelected: string;
                        disable: string;
                    };
                };
            };
            fieldLabel: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            errorLabel: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
        };
        checkbox: {
            gap: string;
            square: {
                color: {
                    default: string;
                    hover: string;
                    selected: string;
                    hoverSelected: string;
                    focus: string;
                    error: string;
                    disableSelected: string;
                    disable: string;
                };
            };
            innerSquare: {
                color: {
                    default: string;
                    hover: string;
                    selected: string;
                    hoverSelected: string;
                    focus: string;
                    error: string;
                    disableSelected: string;
                    disable: string;
                };
            };
            focus: {
                color: {
                    default: string;
                    hover: string;
                    selected: string;
                    hoverSelected: string;
                    focus: string;
                    error: string;
                    selectedDisable: string;
                    disable: string;
                };
            };
            checkmark: {
                color: {
                    default: string;
                    hover: string;
                    selected: string;
                    hoverSelected: string;
                    focus: string;
                    error: string;
                    selectedDisable: string;
                    disable: string;
                };
            };
            text: {
                color: {
                    textLabel: {
                        default: string;
                        hover: string;
                        selected: string;
                        hoverSelected: string;
                        focus: string;
                        error: string;
                        disableSelected: string;
                        disable: string;
                    };
                    errorLabel: {
                        default: string;
                        hover: string;
                        selected: string;
                        hoverSelected: string;
                        focus: string;
                        error: string;
                        disableSelected: string;
                        disable: string;
                    };
                };
            };
            fieldLabel: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            errorLabel: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
        };
        segmentControl: {
            paddingHorizontal: string;
            paddingVertical: string;
            gap: string;
            container: {
                color: {
                    default: string;
                    pressed: string;
                };
            };
            text: {
                color: {
                    default: string;
                    pressed: string;
                };
            };
            border: {
                color: {
                    default: string;
                    pressed: string;
                };
            };
            fieldLabel: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
        };
        tabs: {
            basic: {
                paddingHorizontal: string;
                paddingVertical: string;
                gap: string;
                container: {
                    color: {
                        default: string;
                        hover: string;
                        active: string;
                        disable: string;
                    };
                };
                text: {
                    color: {
                        default: string;
                        active: string;
                        hover: string;
                        disable: string;
                    };
                };
                border: {
                    color: {
                        default: string;
                        hover: string;
                        active: string;
                        disable: string;
                    };
                };
                borderRadius: string;
                fieldLabel: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                outsideBorder: {
                    color: {
                        generic: string;
                    };
                };
            };
            card: {
                paddingHorizontal: string;
                paddingVertical: string;
                gap: string;
                container: {
                    color: {
                        default: string;
                        hover: string;
                        active: string;
                        disable: string;
                    };
                };
                text: {
                    color: {
                        default: string;
                        active: string;
                        hover: string;
                        disable: string;
                    };
                };
                border: {
                    color: {
                        default: string;
                        hover: string;
                        active: string;
                        disable: string;
                    };
                };
                borderRadius: string;
                fieldLabel: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                outsideBorder: {
                    color: {
                        generic: string;
                    };
                };
            };
        };
        accordion: {
            icon: {
                size: string;
                color: {
                    default: string;
                    hover: string;
                    disable: string;
                };
            };
            header: {
                paddingHorizontal: string;
                paddingVertical: string;
                gap: string;
                color: {
                    default: string;
                    hover: string;
                    disable: string;
                };
            };
            content: {
                paddingHorizontal: string;
                paddingVertical: string;
                gap: string;
                color: {
                    default: string;
                    hover: string;
                };
            };
            text: {
                color: {
                    title: {
                        default: string;
                        hover: string;
                        disable: string;
                    };
                    content: {
                        default: string;
                        hover: string;
                    };
                };
            };
            border: {
                color: {
                    default: string;
                    hover: string;
                    disable: string;
                };
            };
            headerLabel: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            contentLabel: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
        };
        accordions: {
            borderRadius: string;
        };
    };
    tokens: {
        fontFamily: {
            default: string;
            nonEnglish: string;
        };
        fontWeight: {
            light: string;
            regular: string;
            bold: string;
        };
        letterSpacing: {
            S: string;
            M: string;
            L: string;
            XL: string;
        };
        fontSize: {
            50: string;
            75: string;
            100: string;
            125: string;
            150: string;
            200: string;
            300: string;
            400: string;
            500: string;
        };
        lineHeight: {
            50: string;
            100: string;
            150: string;
            200: string;
            250: string;
            300: string;
            350: string;
            400: string;
        };
        textDecoration: {
            none: string;
            underline: string;
        };
        textCase: {
            none: string;
            ' capitalize': string;
            ' uppercase': string;
        };
        paragraphSpacing: {
            none: string;
        };
        padding: {
            XXXS: string;
            XXS: string;
            XS: string;
            S: string;
            M: string;
            'M+': string;
            L: string;
            'L+': string;
            XL: string;
            '2XL': string;
            '3XL': string;
            '4XL': string;
        };
        flexbox: {
            XXS: string;
            XS: string;
            S: string;
            M: string;
            L: string;
            XL: string;
            '2XL': string;
            '3XL': string;
            '4XL': string;
            '5XL': string;
            '6XL': string;
        };
        borderRadius: {
            XS: string;
            S: string;
            M: string;
            L: string;
            XL: string;
        };
        borderWidth: {
            S: string;
            M: string;
        };
        elevation: {
            0: {
                color: string;
                x: string;
                y: string;
                blur: string;
                spread: string;
            };
            20: {
                0: {
                    color: string;
                    x: string;
                    y: string;
                    blur: string;
                    spread: string;
                };
                1: {
                    color: string;
                    x: string;
                    y: string;
                    blur: string;
                    spread: string;
                };
            };
            40: {
                0: {
                    color: string;
                    x: string;
                    y: string;
                    blur: string;
                    spread: string;
                };
                1: {
                    color: string;
                    x: string;
                    y: string;
                    blur: string;
                    spread: string;
                };
            };
            60: {
                0: {
                    color: string;
                    x: string;
                    y: string;
                    blur: string;
                    spread: string;
                };
                1: {
                    color: string;
                    x: string;
                    y: string;
                    blur: string;
                    spread: string;
                };
            };
            80: {
                0: {
                    color: string;
                    x: string;
                    y: string;
                    blur: string;
                    spread: string;
                };
                1: {
                    color: string;
                    x: string;
                    y: string;
                    blur: string;
                    spread: string;
                };
            };
            100: {
                0: {
                    color: string;
                    x: string;
                    y: string;
                    blur: string;
                    spread: string;
                };
                1: {
                    color: string;
                    x: string;
                    y: string;
                    blur: string;
                    spread: string;
                };
            };
        };
        cyan: {
            100: string;
            200: string;
            300: string;
            400: string;
            500: string;
            600: string;
            700: string;
            800: string;
        };
        navy: {
            50: string;
            100: string;
            200: string;
            300: string;
            400: string;
            500: string;
            600: string;
            700: string;
            800: string;
        };
        yellow: {
            100: string;
            200: string;
            300: string;
            400: string;
            500: string;
            600: string;
            700: string;
            800: string;
        };
        neutral: {
            100: string;
            200: string;
            250: string;
            300: string;
            400: string;
            500: string;
            600: string;
            650: string;
            700: string;
            800: string;
            900: string;
        };
        red: {
            50: string;
            100: string;
            200: string;
            300: string;
            400: string;
            500: string;
            600: string;
            700: string;
            800: string;
            900: string;
        };
        green: {
            50: string;
            100: string;
            200: string;
            300: string;
            400: string;
            500: string;
            600: string;
            700: string;
            800: string;
            900: string;
        };
        amber: {
            50: string;
            100: string;
            200: string;
            300: string;
            400: string;
            500: string;
            600: string;
            700: string;
            800: string;
            900: string;
        };
        null: {
            100: string;
        };
    };
};
